Class
ContigStoreElement
Represents a single contig.
ContigStoreElement<>
ContigStoreElement<TContigSeq[, TGapAnchor[, TSpec]]>
Parameters

TContigSeq | Type to store the contig sequence.
TGapAnchor | Type of a contig gap anchor. Types: GapAnchor
TSpec | The specialization type. Default: void

Remarks
Value type of the contigStore string.
Typedefs

TContigSeq | Type of the seq member.
TGapAnchors | Type of the gaps member.
TPos | Type of the fileBeginPos and fileEndPos members.
TSpec | The specialization type.

Data Members

fileBeginPos | Begin position of the contig sequence fragment in the file.
fileEndPos | End position of the contig sequence fragment in the file.
fileId | Refers to a file in the contigFileStore or is INVALID_ID if the contig has no file association.
gaps | String of contig gap anchors. Can be used to create a Spec.AnchorGaps alignment row.
INVALID_ID | Constant to represent an invalid id.
seq | Contig sequence.
usage | Counts the number of locks, see lockContigs.

Member Functions

ContigStoreElement | Constructor

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45